Bug 220788 - IRQ assignment related to pci bus - hidden behind transparent bridge.
IRQ assignment related to pci bus - hidden behind transparent bridge.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-12-26 18:04 EST by Daniel R. Gore
Modified: 2008-02-07 23:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:27:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output and /var/log/messages (570.38 KB, text/plain)
2006-12-26 18:04 EST, Daniel R. Gore
no flags Details

  None (edit)
Description Daniel R. Gore 2006-12-26 18:04:34 EST
Description of problem:
Model 82801EB/ER sound card would work during first startup and then fail when
logged in.  dmesg indicated thatirq 193: nobody cared (try booting with the
"irqpoll" option)
 [<c04051db>] dump_trace+0x69/0x1af
 [<c0405339>] show_trace_log_lvl+0x18/0x2c
 [<c04058ed>] show_trace+0xf/0x11
 [<c04059ea>] dump_stack+0x15/0x17
 [<c044e562>] __report_bad_irq+0x36/0x7d
 [<c044e74b>] note_interrupt+0x1a2/0x1df
 [<c044ddce>] __do_IRQ+0xba/0xf2
 [<c04068bf>] do_IRQ+0x9e/0xbc
 =======================
handlers:
[<f8acfaa7>] (snd_intel8x0_interrupt+0x0/0x1d1 [snd_intel8x0])
[<f8ae14ab>] (snd_intel8x0_interrupt+0x0/0x1a8 [snd_intel8x0m])
Disabling IRQ #193


After rebooting with "irgpoll" sound would work but the system would freeze
after a couple of minutes.  "/var/log/messages" indicated to boot with
'pci=assign-busses', but this did no solve any problems.

"/var/log/messages" reports

kernel: ACPI: bus type pci registered
Dec 26 12:42:39 hawk kernel: PCI: PCI BIOS revision 2.10 entry at 0xfd972, last
bus=3
Dec 26 12:42:39 hawk kernel: PCI: Using configuration type 1
Dec 26 12:42:39 hawk kernel: Setting up standard PCI resources
Dec 26 12:42:39 hawk kernel: ACPI: Interpreter enabled
Dec 26 12:42:39 hawk kernel: ACPI: Using IOAPIC for interrupt routing
Dec 26 12:42:39 hawk kernel: ACPI: PCI Root Bridge [PCI0] (0000:00)
Dec 26 12:42:39 hawk kernel: PCI quirk: region 1000-107f claimed by ICH4
ACPI/GPIO/TCO
Dec 26 12:42:39 hawk kernel: PCI quirk: region 1180-11bf claimed by ICH4 GPIO
Dec 26 12:42:39 hawk kernel: PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
Dec 26 12:42:39 hawk kernel: PCI: Transparent bridge - 0000:00:1e.0
Dec 26 12:42:39 hawk rpc.statd[2224]: Version 1.0.9 Starting
Dec 26 12:42:39 hawk kernel: PCI: Bus #04 (-#07) is hidden behind transparent
bridge #03 (-#03) (try 'pci=assign-busses')
Dec 26 12:42:39 hawk kernel: Please report the result to linux-kernel to fix
this permanently
Dec 26 12:42:39 hawk kernel: PCI: Bus #08 (-#0b) is hidden behind transparent
bridge #03 (-#03) (try 'pci=assign-busses')
Dec 26 12:42:39 hawk kernel: Please report the result to linux-kernel to fix
this permanently
Dec 26 12:42:39 hawk kernel: ACPI: PCI Interrupt Link [LNKA] (IRQs *11)
Dec 26 12:42:39 hawk kernel: ACPI: PCI Interrupt Link [LNKB] (IRQs *5)
Dec 26 12:42:39 hawk kernel: ACPI: PCI Interrupt Link [LNKC] (IRQs *5)
Dec 26 12:42:39 hawk kernel: ACPI: PCI Interrupt Link [LNKD] (IRQs *11)
Dec 26 12:42:39 hawk kernel: ACPI: PCI Interrupt Link [LNKE] (IRQs 5) *0, disabled.
Dec 26 12:42:39 hawk kernel: ACPI: PCI Interrupt Link [LNKF] (IRQs *11)
Dec 26 12:42:39 hawk kernel: ACPI: PCI Interrupt Link [LNKG] (IRQs *11)
Dec 26 12:42:39 hawk rpc.statd[2224]: statd running as root. chown
/var/lib/nfs/statd/sm to choose different user
Dec 26 12:42:39 hawk kernel: ACPI: PCI Interrupt Link [LNKH] (IRQs *5)
Dec 26 12:42:39 hawk kernel: ACPI: Embedded Controller [EC] (gpe 28) interrupt mode.
Dec 26 12:42:39 hawk kernel: Linux Plug and Play Support v0.97 (c) Adam Belay
Dec 26 12:42:39 hawk kernel: pnp: PnP ACPI init
Dec 26 12:42:39 hawk kernel: pnp: PnP ACPI: found 13 devices
Dec 26 12:42:39 hawk kernel: usbcore: registered new driver usbfs
Dec 26 12:42:39 hawk kernel: usbcore: registered new driver hub
Dec 26 12:42:39 hawk kernel: PCI: Using ACPI for IRQ routing
Dec 26 12:42:39 hawk kernel: PCI: If a device doesn't work, try "pci=routeirq".
 If it helps, post a report




Version-Release number of selected component (if applicable):


How reproducible: consistent


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel R. Gore 2006-12-26 18:04:34 EST
Created attachment 144381 [details]
dmesg  output and /var/log/messages
Comment 2 Jon Stanley 2008-01-07 20:49:43 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 3 Jon Stanley 2008-02-07 23:27:46 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.